Year in review
curl --request GET \
--url https://api.rewind.rest/v1/watching/year/{year} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/watching/year/{year}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/watching/year/{year}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"year": 2025,
"total_movies": 95,
"genres": [
{
"name": "Drama",
"count": 35
},
{
"name": "Action",
"count": 20
}
],
"decades": [
{
"decade": 2020,
"count": 30
},
{
"decade": 1960,
"count": 8
}
],
"monthly": [
{
"month": "2025-01",
"count": 8
},
{
"month": "2025-02",
"count": 10
},
{
"month": "2025-03",
"count": 9
}
],
"top_rated": [
{
"movie": {
"id": 50,
"title": "The Great Escape",
"year": 1963,
"tmdb_id": 5925,
"image": null
},
"user_rating": 5,
"watched_at": "2025-08-10T20:00:00Z"
}
]
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}Watching
Year in review
Returns aggregate stats and top-rated movies for a specific year.
GET
/
v1
/
watching
/
year
/
{year}
Year in review
curl --request GET \
--url https://api.rewind.rest/v1/watching/year/{year} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/watching/year/{year}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/watching/year/{year}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"year": 2025,
"total_movies": 95,
"genres": [
{
"name": "Drama",
"count": 35
},
{
"name": "Action",
"count": 20
}
],
"decades": [
{
"decade": 2020,
"count": 30
},
{
"decade": 1960,
"count": 8
}
],
"monthly": [
{
"month": "2025-01",
"count": 8
},
{
"month": "2025-02",
"count": 10
},
{
"month": "2025-03",
"count": 9
}
],
"top_rated": [
{
"movie": {
"id": 50,
"title": "The Great Escape",
"year": 1963,
"tmdb_id": 5925,
"image": null
},
"user_rating": 5,
"watched_at": "2025-08-10T20:00:00Z"
}
]
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}Authorizations
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Path Parameters
⌘I